/* CSS Document */

body, div, p {
    margin: 0;
    padding: 0;
    
}


a {
    text-decoration: none;
}
.link-white{
    color: white;
    margin-top: 15px;
    display: block;
}

/* Stile della barra di avanzamento */
.progress-bar-container {
    position: fixed;
    bottom: 8px;
    left: 8px;
    right: 8px;
    width: calc(100% - 16px);
    height: 6px;
    background-color: #1F306C; /* Sfondo bianco semi-trasparente */
    z-index: 50;
}

.progress-bar {
    height: 100%;
    width: 0;
    background-color: white; /* Colore di riempimento bianco */
    transition: width 0.3s ease-in-out; /* Animazione fluida */
}
.logo{
    position: fixed;
    top: 10px;
    left: 0;right: 0;
    margin: 0 auto;
    width: 20%;
    z-index: 100;
    max-width: 120px;
}

.text-input{
    background-color: #ffffff;
    color: #444;
    font-size: 22px;
    border: 0;
    border-radius: 30px;
    padding: 10px 18px;
    width: -webkit-fill-available;
}
button {
  background-color: #ffffff; /* Colore di sfondo verde */
  color: var(--secondary); /* Colore del testo rosso */
  font-size: 22px; /* Dimensione del testo */
  font-weight: bold; /* Grassetto per il testo */
  border: none; /* Nessun bordo */
  border-radius: 50px; /* Arrotondamento degli angoli */
  padding: 10px 30px; /* Spaziatura interna */
  cursor: pointer; /* Cambia il cursore al passaggio del mouse */
  text-transform: uppercase; /* Tutto maiuscolo */
    position: relative;
    z-index: 30;
    margin-top: 20px;
    font-family: "Oswald", serif;
    
}

button:hover {
  background-color: var(--primary); /* Colore di sfondo più scuro al passaggio del mouse */
}

button.prev{
    color: var(--secondary);
    margin-right: 5px;
    padding: 6px 15px;
}
.title-1{
    font-size:3.5em;
    line-height: 1em;
    margin-bottom: 0!important;
    font-family: "Oswald", serif;
}
.title-2{
    font-size:2.3em;
    margin: 0;
     font-family: "Oswald", serif;
}
.title-3{
    font-family: "Poppins", serif!important;
    font-size:1.4em;
    line-height: 1.2em;
    margin: 0 0 10px;
    
}
.title-4{
   text-align: center;
    font-size:2.6em;
    line-height: 1em;
    color: #FFFFFF;
    margin: 0 0 25px;
    font-weight: 700!important;
}

p{
    font-family: "Poppins", serif!important;
    font-size:1.4em;
    margin: 10px 0 0;
}

#slide-2 .title-1{
    font-size:3.3em;
    line-height: 1em;
    margin-bottom: 0!important;
}
#slide-2 .title-2{

    font-size:2.3em;
    margin: 0;
}
#page-thank-you .slides-container {
    position: absolute;
    left: 0;
    top: 0px!important;
    
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 10;
}
#page-thank-you #slide-1{
    padding-top: 80px;
}
#page-thank-you #footer{
    display: none;
}
.slides-container {
    position: absolute;
    left: 0;
    top: 80px;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 10;
}

.slide {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 20;
    display: flex;
    align-content: center;
    /* flex-direction: row; */
    align-items: center;
}

.slide .centered, .slide .questionario {
    width: 80%;
    margin: 0 auto;
}
/*
.slide#slide-1 .centered, .slide#slide-1 .questionario {
    width: 80%;
    margin: 30vh auto 0;
}
*/
.slide .centered {
    text-align: center;
}


.slide {
    background-color: var(--secondary);
    color: #FFFFFF;
}
.slide-display{
    max-width: 720px;
}



.go-prev, .go-next {
    cursor: pointer;
    font-weight: bold;
    text-decoration: underline;
}
/*floating*/
#render-pane {
  overflow: hidden;
  width: 100%;
  height: auto;
  display: flex;
  /*justify-content: center;*/
  align-items: top;
  position: absolute;
    z-index:12;
    top:0;
    left:0;
    right:0;
    }      
  .rect {
    margin: 0px;
    width: 50vw;
    height: auto;
    text-align: left;
    
  }
  .rect2 {
    margin: 0px;
    width: 45vw;
    height: auto;
    text-align: center;
    
  }
/*floating*/
#render-pane img,#render-pane-bottom img{
    max-height: 200px;
}
#render-pane-bottom {
  overflow: hidden;
  width: 100%;
  height: auto;
  display: flex;
  /*justify-content: center;*/
  align-items: flex-end;
  position: fixed;
    z-index:12;
    bottom:0;
    left:0;
    right:0;
    } 
.rect3 {
    margin: 0px;
    left: 0;
    margin-bottom: -20px;
    width: 45vw;
    height: auto;
    text-align: center;
    
  }
.rect4 {
    margin-bottom: 5px;
    margin-left: 15vw;
    width: 45vw;
    height: auto;
    text-align: center;
    
  }
.rounded {
            display: flex;
            align-items: center;
            margin: 10px auto;
            padding: 3px;
            border: 2px solid white;
            border-radius: 30px!important;
            background-color: white;
            color: var(--secondary);
            font-weight: bold;
            cursor: pointer;
            transition: all 0.3s ease;
             max-width:550px;
        }

        .rounded:hover {
            background-color: var(--grey);
        }

        .rounded input[type="radio"] {
            display: none;
        }

        .rounded input[type="radio"]:checked + label {
            background-color: var(--secondary);
            color: white;
            /*transform: scale(0.95);*/
            margin: 1px 2px;
        }

        label {
            flex: 1;
            text-align: center;
            padding: 6px;
            border-radius: 30px;
            transition: all 0.3s ease;
             font-size: 14px;  
        }
/* modulo di contatto alla fine del questionario*/
/*
body {
            background: linear-gradient(135deg, #006d5b, #009688);
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
        }
*/
        .form-container {
            background: transparent;
            padding: 18px;
            border-radius: 8px;
            color: white;
            width: 450px;
            margin: 0 auto;
        }
        .form-control {
            background: transparent;
            border: none;
            border-bottom: 1px solid white;
            color: white;
            font-size: 16px !important;
        }
        .form-control:focus {
            background: transparent;
            color: white;
            outline: none;
            box-shadow: none;
            border-bottom: 1px solid #ddd;
        }
        .btn-custom {
            background-color: white;
            color: #009688;
            border-radius: 20px;
            padding: 8px 20px;
        }
/*end modulo di contatto*/

 .slider-container {
            display: flex;
            align-items: center;
            margin: 0px 0;
            width: 94%;
        }

        .slider {
            -webkit-appearance: none;
            width: 100%;
            height: 10px;
            border-radius: 5px;
            background: #e8f5e9;
            outline: none;
            opacity: 0.9;
            transition: opacity 0.2s;
        }

        .slider:hover {
            opacity: 1;
        }

        .slider::-webkit-slider-thumb {
            -webkit-appearance: none;
            appearance: none;
            width: 25px;
            height: 25px;
            border-radius: 50%;
            background: #1F306C;
            cursor: pointer;
            transition: background 0.3s ease;
        }

        .slider::-webkit-slider-thumb:hover {
            background: #1F306C;
        }

        .slider::-moz-range-thumb {
            width: 25px;
            height: 25px;
            border-radius: 50%;
            background: #1F306C;
            cursor: pointer;
            transition: background 0.3s ease;
        }

        .slider::-moz-range-thumb:hover {
            background: #1F306C;
        }

        .slider-value {
            margin-left: 10px;
            font-size: 18px;
            color: white;
            font-weight: bold;
        }

        .emoji {
            font-size: 2rem;
            margin-left: 20px;
            transition: transform 0.3s ease;
        }
@media only screen and (max-width: 1220px) {
    .title-4{
        text-align: center;
        font-size:1.5em;
        line-height: 1em;
        color: #FFFFFF;
        margin: 0 0 25px;
        font-weight: 700!important;
    }
    label {
    flex: 1;
    text-align: center;
    padding: 2px;
    border-radius: 30px;
    transition: all 0.3s ease;
    font-size: 13px;
}
    #inizia-ora-grazie .uniform-img {
        width: 100%; /* Larghezza sempre 100% */
        height: 150px!important; /* Altezza uniforme, puoi cambiare il valore */
        object-fit: cover; /* Adatta l'immagine tagliando i bordi se necessario */
        object-position: center; /* Centra l'immagine */
    }
    
}
@media only screen and (max-width: 600px) {
/*
    .slide .centered, .slide .questionario{
    width: 80%;
    margin: 20vh auto 0;
}
*/
    .title-4{
   text-align: center;
    font-size:1.5em;
    line-height: 1em;
    color: #FFFFFF;
    margin: 0 0 25px;
    font-weight: 700!important;
}
    .form-container {
    background: transparent;
    padding: 0;
    border-radius: 8px;
    color: white;
    width: auto;
    margin: 0 auto;
}
    label {
    flex: 1;
    text-align: center;
    padding: 2px;
    border-radius: 30px;
    transition: all 0.3s ease;
    font-size: 13px;
}
    
    .slide .centered{
    text-align: center;
}

.slide#slide-1 .centered, .slide#slide-1 .questionario {
    width: 95%;
    margin: 20vh auto 0;

}
    /*
    .slide#slide-5 .questionario,.slide#slide-6 .questionario,.slide#slide-7 .questionario,.slide#slide-12 .questionario {
    width: 80%;
    margin: 60px auto 0;

}
*/
.title-3{
    font-family: "Poppins", serif!important;
    font-size:1.2em;
    line-height: 1.1em;
    margin: 0 0 10px;
    
}
p{
    font-size:0.8em;
    margin: 10px 0 0;
    font-family: "Poppins", serif!important;
}
    
}
